Subject: [PATCH v2] soc: mediatek: SCPSYS: use module_platform_driver

From: [email-masked] (Matthias Brugger)
Date: Wed, 16 Dec 2015 12:55:34 +0100

On 16/12/15 12:22, Arnd Bergmann wrote:
> On Wednesday 16 December 2015 12:00:56 Sascha Hauer wrote:
>> With regulator support to the scpsys driver needs to be able to defer
>> probe. Probe deferral is incompatible with module_platform_driver_probe,
>> so use module_platform_driver. module_platform_driver_probe sets the
>> suppress_bind_attrs. To prevent unbinding the device with
>> module_platform_driver we have to set the flag explicitly in the driver
>> now.
>>
>> Signed-off-by: Sascha Hauer <[email-masked]>
>> ---
>>
>
> Looks good now,
>
> Acked-by: Arnd Bergmann <[email-masked]>
>

Applied to v4.4-next/soc

Sascha next time please don't forget to send Mediatek related patches to 
the corresponding mailinglist as well.

Thanks,
Matthias